Subject: [sipcore] I-D Action: draft-ietf-sipcore-sip-push-02.txt

From: [email-masked]
Date: Thu, 21 Dec 2017 05:44:58 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Session Initiation Protocol Core WG of the IETF.

        Title           : Push Notification with the Session Initiation Protocol (SIP)
        Author          : Christer Holmberg
	Filename        : draft-ietf-sipcore-sip-push-02.txt
	Pages           : 14
	Date            : 2017-12-21

Abstract:
   This document describes how push notification mechanisms can be used
   to wake up suspended Session Initiation Protocol (SIP) User Agents
   (UAs), in order to be able to receive and generate SIP requests.  The
   document defines new SIP URI parameters, that can be used in a SIP
   REGISTER request to provide push notification information from the
   SIP User Agent (UA) to the SIP entity (realized as a SIP proxy in
   this document) that will send a push request to the push server in
   order to trigger a push notification towards the SIP UA.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-sipcore-sip-push/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-ietf-sipcore-sip-push-02
https://datatracker.ietf.org/doc/html/draft-ietf-sipcore-sip-push-02

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-sipcore-sip-push-02

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: Paul Kyzivat <[email-masked]>
Date: Thu, 21 Dec 2017 10:07:30 -0500

Christer,

I just looked more closely at the ABNF for the indicator. It has some 
problems.

      sip.pns         = "<" pns-list ">"
      pns-list        = pns *(COMMA pns)
      pns             = pvalue

      ; pvalue as defined in RFC 3261

First, 'sip.pns' isn't a valid rulename. I presume you simply mean that 
the name of this feature-capability indicator is "sip.pns", or "pns" in 
the "sip" tree. This would be taken care of if you filled in a 
registration template as specified in rfc6809. I can find no such template.

Next, according to rfc3840 the syntax of a feature param is:

    feature-param    =  enc-feature-tag [EQUAL LDQUOT (tag-value-list
                        / string-value ) RDQUOT]
...
    tag-value-list  =  tag-value *("," tag-value)
    tag-value       =  ["!"] (token-nobang / boolean / numeric)
    token-nobang    =  1*(alphanum / "-" / "." / "%" / "*"
                       / "_" / "+" / "`" / "'" / "~" )
    boolean         =  "TRUE" / "FALSE"
    numeric         =  "#" numeric-relation number
    numeric-relation  =  ">=" / "<=" / "=" / (number ":")
    number          =  [ "+" / "-" ] 1*DIGIT ["." 0*DIGIT]
    string-value    =  "<" *(qdtext-no-abkt / quoted-pair ) ">"
    qdtext-no-abkt  =  LWS / %x21 / %x23-3B / %x3D
                            / %x3F-5B / %x5D-7E / UTF8-NONASCII

Notably, the value of the feature-param is always enclosed in double 
quotes. Also, I think your use of "<" and ">" means that you intend this 
to be a string-value with a particular syntax, but possibly the 
tag-value-list syntax would work for you.

	Thanks,
	Paul

On 12/21/17 8:44 AM, [email-masked] wrote:
> _______________________________________________
> sipcore mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/sipcore
>

---

From: Christer Holmberg <[email-masked]>
Date: Thu, 21 Dec 2017 15:26:50 +0000

Hi Paul,

I will double check the syntax.

Regards,

Christer

Sent from my iPhone

On 21 Dec 2017, at 17.07, Paul Kyzivat <[email-masked]<mailto:[email-masked]>> wrote:

Christer,

I just looked more closely at the ABNF for the indicator. It has some problems.

First, 'sip.pns' isn't a valid rulename. I presume you simply mean that the name of this feature-capability indicator is "sip.pns", or "pns" in the "sip" tree. This would be taken care of if you filled in a registration template as specified in rfc6809. I can find no such template.

Notably, the value of the feature-param is always enclosed in double quotes. Also, I think your use of "<" and ">" means that you intend this to be a string-value with a particular syntax, but possibly the tag-value-list syntax would work for you.

   Thanks,
   Paul

On 12/21/17 8:44 AM, [email-masked]<mailto:[email-masked]> wrote:
until the htmlized version and diff are available at tools.ietf.org<http://tools.ietf.org>.
[email-masked]<mailto:[email-masked]>

_______________________________________________
sipcore mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/sipcore

---

From: Christer Holmberg <[email-masked]>
Date: Thu, 21 Dec 2017 20:36:40 +0000

Hi,

> First, 'sip.pns' isn't a valid rulename. I presume you simply mean that the name of this feature-capability indicator 
> is "sip.pns", or "pns" in the "sip" tree. This would be taken care of if you filled in a registration template as specified 
> in rfc6809. I can find no such template.

It's in section 12.3.

(I note that I have forgot the contact information, but the name, description and reference is there.)

>                        / string-value ) RDQUOT] ...
> Notably, the value of the feature-param is always enclosed in double quotes. Also, I think your use of "<" and ">" means that 
> you intend this to be a string-value with a particular syntax, but possibly the tag-value-list syntax would work for you.

Yes. We don't need to use pvalue - tag-value is more than enough (the same applies to the pn-provider URI parameter, which will carry the same values).

So, how would the syntax look like? Something like:

pns-feature-cap       =  "+" "sip.pns" [EQUAL LDQUOT pns-list RDQUOT]
pns-list                      = pns *(COMMA pns)
pns                            = tag-value

;tag-value defined in RFC 3840

Regards,

Christer

On 12/21/17 8:44 AM, [email-masked] wrote:
> Please note that it may take a couple of minutes from the time of 
> submission until the htmlized version and diff are available at tools.ietf.org.
>